package com.atlassian.bitbucket.mesh.git.exception;

import io.grpc.Status;

import javax.annotation.Nullable;

public abstract class AbstractNotFoundException extends AbstractGitException {

    public AbstractNotFoundException(@Nullable String message) {
        super(message, Status.NOT_FOUND);
    }

    public AbstractNotFoundException(@Nullable String message, @Nullable Throwable cause) {
        super(message, cause, Status.NOT_FOUND);
    }

    public AbstractNotFoundException(@Nullable Throwable cause) {
        super(cause, Status.NOT_FOUND);
    }
}
